import EventEmitter from 'events';
import { Context } from 'koa';
import { PassThrough } from 'stream';
import { sse } from './types';
export declare class ServerSentEvent extends EventEmitter implements sse.IServerSentEvent {
    readonly ctx: Context;
    readonly stream: PassThrough;
    closed: boolean;
    private encoder;
    private keepaliveTimer?;
    constructor(ctx: Context, options?: {
        keepalive?: boolean;
        headers?: Record<string, string | string[]>;
    });
    /**
     * 启动心跳定时器
     */
    private keepalive;
    setEncoder(encoder: TextEncoder): void;
    send<T>(event: sse.Event<T> | sse.Event<T>[]): boolean;
    end(msg: sse.SseEvent): void;
}
//# sourceMappingURL=function-sse.d.ts.map